Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Interface ESFAttributes

public interface ESFAttributes

Field Summary
`static ASN1ObjectIdentifier` | `archiveTimestamp`
`static ASN1ObjectIdentifier` | `archiveTimestampV2`
`static ASN1ObjectIdentifier` | `certCRLTimestamp`
`static ASN1ObjectIdentifier` | `certificateRefs`
`static ASN1ObjectIdentifier` | `certValues`
`static ASN1ObjectIdentifier` | `commitmentType`
`static ASN1ObjectIdentifier` | `contentTimestamp`
`static ASN1ObjectIdentifier` | `escTimeStamp`
`static ASN1ObjectIdentifier` | `otherSigCert`
`static ASN1ObjectIdentifier` | `revocationRefs`
`static ASN1ObjectIdentifier` | `revocationValues`
`static ASN1ObjectIdentifier` | `signerAttr`
`static ASN1ObjectIdentifier` | `signerLocation`
`static ASN1ObjectIdentifier` | `sigPolicyId`

Field Detail

### sigPolicyId

    public static final ASN1ObjectIdentifier sigPolicyId

### commitmentType

    public static final ASN1ObjectIdentifier commitmentType

### signerLocation

    public static final ASN1ObjectIdentifier signerLocation

### signerAttr

    public static final ASN1ObjectIdentifier signerAttr

### otherSigCert

    public static final ASN1ObjectIdentifier otherSigCert

### contentTimestamp

    public static final ASN1ObjectIdentifier contentTimestamp

### certificateRefs

    public static final ASN1ObjectIdentifier certificateRefs

### revocationRefs

    public static final ASN1ObjectIdentifier revocationRefs

### certValues

    public static final ASN1ObjectIdentifier certValues

### revocationValues

    public static final ASN1ObjectIdentifier revocationValues

### escTimeStamp

    public static final ASN1ObjectIdentifier escTimeStamp

### certCRLTimestamp

    public static final ASN1ObjectIdentifier certCRLTimestamp

### archiveTimestamp

    public static final ASN1ObjectIdentifier archiveTimestamp

### archiveTimestampV2

    public static final ASN1ObjectIdentifier archiveTimestampV2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD